<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:43 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>RegistrationExceptionConstants (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RegistrationExceptionConstants (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistrationExceptionConstants.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/exception/RegBaseUncheckedException.html" title="class in io.mosip.registration.exception"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/exception/RegistrationExceptionConstants.html" target="_top">Frames</a></li>
<li><a href="RegistrationExceptionConstants.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.exception</div>
<h2 title="Enum RegistrationExceptionConstants" class="title">Enum RegistrationExceptionConstants</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">java.lang.Enum</a>&lt;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a>&gt;</li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.exception.RegistrationExceptionConstants</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">RegistrationExceptionConstants</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a>&lt;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a>&gt;</pre>
<div class="block">Exception enum for Registration Processor Module</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Balaji.Sridharan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#AUTHZ_ADDING_AUTHZ_HEADER">AUTHZ_ADDING_AUTHZ_HEADER</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#INVALID_OTP">INVALID_OTP</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#INVALID_RESPONSE_HEADER">INVALID_RESPONSE_HEADER</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_ACK_TEMPLATE_IO_EXCEPTION">REG_ACK_TEMPLATE_IO_EXCEPTION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_CLASS_NOT_FOUND_ERROR_CODE">REG_CLASS_NOT_FOUND_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_FILE_NOT_FOUND_ERROR_CODE">REG_FILE_NOT_FOUND_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_FINGERPRINT_SCANNING_ERROR">REG_FINGERPRINT_SCANNING_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_FTP_CONNECTION_ERROR_CODE">REG_FTP_CONNECTION_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_FTP_PROPERTIES_SET_ERROR_CODE">REG_FTP_PROPERTIES_SET_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_ID_JSON_ERROR">REG_ID_JSON_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_ID_JSON_FIELD_ACCESS_ERROR">REG_ID_JSON_FIELD_ACCESS_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_INVALID_DATA_ERROR_CODE">REG_INVALID_DATA_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_INVALID_KEY_ERROR_CODE">REG_INVALID_KEY_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_INVALID_KEY_SEED_ERROR_CODE">REG_INVALID_KEY_SEED_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_IO_ERROR_CODE">REG_IO_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_IO_EXCEPTION">REG_IO_EXCEPTION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_IRIS_SCANNING_ERROR">REG_IRIS_SCANNING_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_JSON_PROCESSING_EXCEPTION">REG_JSON_PROCESSING_EXCEPTION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_NO_SUCH_ALGORITHM_ERROR_CODE">REG_NO_SUCH_ALGORITHM_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_OTP_VALIDATION">REG_OTP_VALIDATION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_PACKET_BIO_CBEFF_GENERATION_ERROR_CODE">REG_PACKET_BIO_CBEFF_GENERATION_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_PACKET_CREATION_ERROR_CODE">REG_PACKET_CREATION_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_PACKET_DATE_PARSER_CODE">REG_PACKET_DATE_PARSER_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_PACKET_JSON_VALIDATOR_ERROR_CODE">REG_PACKET_JSON_VALIDATOR_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_PACKET_SIZE_EXCEEDED_ERROR_CODE">REG_PACKET_SIZE_EXCEEDED_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_PACKET_SYNC_EXCEPTION">REG_PACKET_SYNC_EXCEPTION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_PACKET_UPLOAD_ERROR">REG_PACKET_UPLOAD_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_RSA_INVALID_DATA">REG_RSA_INVALID_DATA</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_RSA_INVALID_KEY">REG_RSA_INVALID_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_SERVICE_DELEGATE_UTIL_CODE">REG_SERVICE_DELEGATE_UTIL_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_SERVICE_DUPLICATE_KEY_EXCEPTION_CODE">REG_SERVICE_DUPLICATE_KEY_EXCEPTION_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_SOCKET_ERROR_CODE">REG_SOCKET_ERROR_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_TEMPLATE_IO_EXCEPTION">REG_TEMPLATE_IO_EXCEPTION</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_UI_LOGIN_IO_EXCEPTION">REG_UI_LOGIN_IO_EXCEPTION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_UI_LOGIN_RESOURCE_EXCEPTION">REG_UI_LOGIN_RESOURCE_EXCEPTION</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_UI_LOGOUT_IO_EXCEPTION">REG_UI_LOGOUT_IO_EXCEPTION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_UI_SHEDULER_IOEXCEPTION_EXCEPTION">REG_UI_SHEDULER_IOEXCEPTION_EXCEPTION</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_USER_MACHINE_MAP_CENTER_MACHINE_CODE">REG_USER_MACHINE_MAP_CENTER_MACHINE_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_USER_MACHINE_MAP_CENTER_USER_MACHINE_CODE">REG_USER_MACHINE_MAP_CENTER_USER_MACHINE_CODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#REG_USER_MACHINE_MAP_MACHINE_MASTER_CODE">REG_USER_MACHINE_MAP_MACHINE_MASTER_CODE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#getErrorCode--">getErrorCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#getErrorMessage--">getErrorMessage</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#compareTo-E-" title="class or interface in java.lang">compareTo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#getDeclaringClass--" title="class or interface in java.lang">getDeclaringClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#name--" title="class or interface in java.lang">name</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#ordinal--" title="class or interface in java.lang">ordinal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#valueOf-java.lang.Class-java.lang.String-" title="class or interface in java.lang">valueOf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="REG_SOCKET_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_SOCKET_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_SOCKET_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_NO_SUCH_ALGORITHM_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_NO_SUCH_ALGORITHM_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_NO_SUCH_ALGORITHM_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_INVALID_DATA_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_INVALID_DATA_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_INVALID_DATA_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_INVALID_KEY_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_INVALID_KEY_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_INVALID_KEY_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_INVALID_KEY_SEED_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_INVALID_KEY_SEED_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_INVALID_KEY_SEED_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_IO_EXCEPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_IO_EXCEPTION</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_IO_EXCEPTION</pre>
</li>
</ul>
<a name="REG_JSON_PROCESSING_EXCEPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_JSON_PROCESSING_EXCEPTION</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_JSON_PROCESSING_EXCEPTION</pre>
</li>
</ul>
<a name="REG_FILE_NOT_FOUND_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_FILE_NOT_FOUND_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_FILE_NOT_FOUND_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_IO_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_IO_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_IO_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_CLASS_NOT_FOUND_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_CLASS_NOT_FOUND_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_CLASS_NOT_FOUND_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_PACKET_CREATION_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_PACKET_CREATION_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_PACKET_CREATION_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_FTP_CONNECTION_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_FTP_CONNECTION_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_FTP_CONNECTION_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_TEMPLATE_IO_EXCEPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_TEMPLATE_IO_EXCEPTION</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_TEMPLATE_IO_EXCEPTION</pre>
</li>
</ul>
<a name="REG_FTP_PROPERTIES_SET_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_FTP_PROPERTIES_SET_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_FTP_PROPERTIES_SET_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_SERVICE_DELEGATE_UTIL_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_SERVICE_DELEGATE_UTIL_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_SERVICE_DELEGATE_UTIL_CODE</pre>
</li>
</ul>
<a name="REG_RSA_INVALID_DATA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_RSA_INVALID_DATA</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_RSA_INVALID_DATA</pre>
</li>
</ul>
<a name="REG_RSA_INVALID_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_RSA_INVALID_KEY</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_RSA_INVALID_KEY</pre>
</li>
</ul>
<a name="REG_SERVICE_DUPLICATE_KEY_EXCEPTION_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_SERVICE_DUPLICATE_KEY_EXCEPTION_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_SERVICE_DUPLICATE_KEY_EXCEPTION_CODE</pre>
</li>
</ul>
<a name="REG_USER_MACHINE_MAP_MACHINE_MASTER_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_USER_MACHINE_MAP_MACHINE_MASTER_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_USER_MACHINE_MAP_MACHINE_MASTER_CODE</pre>
</li>
</ul>
<a name="REG_USER_MACHINE_MAP_CENTER_MACHINE_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_USER_MACHINE_MAP_CENTER_MACHINE_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_USER_MACHINE_MAP_CENTER_MACHINE_CODE</pre>
</li>
</ul>
<a name="REG_USER_MACHINE_MAP_CENTER_USER_MACHINE_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_USER_MACHINE_MAP_CENTER_USER_MACHINE_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_USER_MACHINE_MAP_CENTER_USER_MACHINE_CODE</pre>
</li>
</ul>
<a name="REG_UI_SHEDULER_IOEXCEPTION_EXCEPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_UI_SHEDULER_IOEXCEPTION_EXCEPTION</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_UI_SHEDULER_IOEXCEPTION_EXCEPTION</pre>
</li>
</ul>
<a name="REG_UI_LOGIN_IO_EXCEPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_UI_LOGIN_IO_EXCEPTION</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_UI_LOGIN_IO_EXCEPTION</pre>
</li>
</ul>
<a name="REG_UI_LOGIN_RESOURCE_EXCEPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_UI_LOGIN_RESOURCE_EXCEPTION</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_UI_LOGIN_RESOURCE_EXCEPTION</pre>
</li>
</ul>
<a name="REG_UI_LOGOUT_IO_EXCEPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_UI_LOGOUT_IO_EXCEPTION</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_UI_LOGOUT_IO_EXCEPTION</pre>
</li>
</ul>
<a name="REG_ACK_TEMPLATE_IO_EXCEPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_ACK_TEMPLATE_IO_EXCEPTION</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_ACK_TEMPLATE_IO_EXCEPTION</pre>
</li>
</ul>
<a name="REG_PACKET_SYNC_EXCEPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_PACKET_SYNC_EXCEPTION</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_PACKET_SYNC_EXCEPTION</pre>
</li>
</ul>
<a name="REG_PACKET_UPLOAD_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_PACKET_UPLOAD_ERROR</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_PACKET_UPLOAD_ERROR</pre>
</li>
</ul>
<a name="REG_ID_JSON_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_ID_JSON_ERROR</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_ID_JSON_ERROR</pre>
</li>
</ul>
<a name="REG_ID_JSON_FIELD_ACCESS_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_ID_JSON_FIELD_ACCESS_ERROR</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_ID_JSON_FIELD_ACCESS_ERROR</pre>
</li>
</ul>
<a name="REG_IRIS_SCANNING_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_IRIS_SCANNING_ERROR</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_IRIS_SCANNING_ERROR</pre>
</li>
</ul>
<a name="REG_FINGERPRINT_SCANNING_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_FINGERPRINT_SCANNING_ERROR</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_FINGERPRINT_SCANNING_ERROR</pre>
</li>
</ul>
<a name="REG_OTP_VALIDATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_OTP_VALIDATION</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_OTP_VALIDATION</pre>
</li>
</ul>
<a name="REG_PACKET_DATE_PARSER_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_PACKET_DATE_PARSER_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_PACKET_DATE_PARSER_CODE</pre>
</li>
</ul>
<a name="REG_PACKET_SIZE_EXCEEDED_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_PACKET_SIZE_EXCEEDED_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_PACKET_SIZE_EXCEEDED_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_PACKET_BIO_CBEFF_GENERATION_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_PACKET_BIO_CBEFF_GENERATION_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_PACKET_BIO_CBEFF_GENERATION_ERROR_CODE</pre>
</li>
</ul>
<a name="REG_PACKET_JSON_VALIDATOR_ERROR_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REG_PACKET_JSON_VALIDATOR_ERROR_CODE</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> REG_PACKET_JSON_VALIDATOR_ERROR_CODE</pre>
</li>
</ul>
<a name="AUTHZ_ADDING_AUTHZ_HEADER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AUTHZ_ADDING_AUTHZ_HEADER</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> AUTHZ_ADDING_AUTHZ_HEADER</pre>
</li>
</ul>
<a name="INVALID_OTP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_OTP</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> INVALID_OTP</pre>
</li>
</ul>
<a name="INVALID_RESPONSE_HEADER">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>INVALID_RESPONSE_HEADER</h4>
<pre>public static final&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a> INVALID_RESPONSE_HEADER</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (RegistrationExceptionConstants c : RegistrationExceptionConstants.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../../io/mosip/registration/exception/RegistrationExceptionConstants.html" title="enum in io.mosip.registration.exception">RegistrationExceptionConstants</a>&nbsp;valueOf(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if this enum type has no constant with the specified name</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="getErrorCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getErrorCode</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getErrorCode()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the errorCode</dd>
</dl>
</li>
</ul>
<a name="getErrorMessage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getErrorMessage</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getErrorMessage()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the errorMessage</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistrationExceptionConstants.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/exception/RegBaseUncheckedException.html" title="class in io.mosip.registration.exception"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/exception/RegistrationExceptionConstants.html" target="_top">Frames</a></li>
<li><a href="RegistrationExceptionConstants.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
